> For the complete documentation index, see [llms.txt](https://docs.iotex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iotex.io/blockchain/build/web3-development/account-abstraction/creating-new-accounts.md).

# Creating new Accounts

## Creating new Accounts

In order to use account abstraction to create a new custom account, there are certain components that the dApp developer will have to create based on the needs of their application:

* `Account` contract, which implements the validation logic in the `validateUserOp` method, and any execution logic that a user operation can require.
* `AccountFactory` contract, which is in charge, as said above, of creating/deploying new custom account contracts.
* Some client code that builds the user ops that are compatible with the verification rules implemented in the `AccountFactory`.
* A **paymaster** is an optional part of the AA architecture. IoTeX provides a paymaster service for **Testnet** only at [https://paymaster.testnet.w3bstream.com](https://paymaster.testnet.w3bstream.com/). The role of the paymaster is to sponsor the gas needed to execute user operations, either sponsoring them completely or allowing users to pay for them in various tokens.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.iotex.io/blockchain/build/web3-development/account-abstraction/creating-new-accounts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
